diff --git python-progressbar/python-progressbar.spec python-progressbar/python-progressbar.spec.tmp
index d6f58b6ca8..913a2e4f97 100644
--- python-progressbar/python-progressbar.spec
+++ python-progressbar/python-progressbar.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{realname}
 Version:        2.3
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Text progressbar library for python
 
 Group:          Development/Libraries
@@ -19,14 +19,22 @@ BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildArch:      noarch
 
-%description
+%global _description\
+\
+This library provides a text mode progress bar. This is typically used to\
+display the progress of a long running operation, providing a visual clue that\
+processing is under way.\
+\
+The progressbar module is very easy to use, yet very powerful. And\
+automatically supports features like auto-re-sizing when available.
 
-This library provides a text mode progress bar. This is typically used to 
-display the progress of a long running operation, providing a visual clue that 
-processing is under way.
+%description %_description
 
-The progressbar module is very easy to use, yet very powerful. And 
-automatically supports features like auto-re-sizing when available.
+%package -n python2-%{realname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
 
 %prep
 %setup -q -n %{realname}-%{version}
@@ -44,13 +52,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-%{realname}
 %defattr(-,root,root,-)
 %doc LICENSE.txt
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3-10
+- Python 2 subpackage renamed to python2-progressbar
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-progress/python-progress.spec python-progress/python-progress.spec.tmp
index 21d2feb607..94cb2cefb8 100644
--- python-progress/python-progress.spec
+++ python-progress/python-progress.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.2
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Easy to use progress bars
 
 License:        ISC
@@ -23,9 +23,17 @@ BuildRequires:  python3-setuptools
 Patch1:         0001-possibly-enlarge-dequeue-to-give-us-better-statistic.patch
 Patch2:         0002-make-the-progress-bar-more-stable.patch
 
-%description
-Collection of easy to use progress bars and spinners.
+%global _description\
+Collection of easy to use progress bars and spinners.\
+
+
+%description %_description
 
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
@@ -68,7 +76,7 @@ popd
 
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst LICENSE
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -81,6 +89,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-14
+- Python 2 subpackage renamed to python2-progress
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-protocols/python-protocols.spec python-protocols/python-protocols.spec.tmp
index 1d755dbd3a..e9af454b3b 100644
--- python-protocols/python-protocols.spec
+++ python-protocols/python-protocols.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-protocols
 Version:        1.0
-Release:        0.26.%{alphatag}_%{revision}%{?dist}
+Release:        0.27.%{alphatag}_%{revision}%{?dist}
 
 Summary:        Open Protocols and Component Adaptation for Python
 
@@ -22,13 +22,21 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python2-devel
 BuildRequires: python-setuptools
 BuildRequires: python-decoratortools
-Requires: python-decoratortools
 
-%description
-PyProtocols is an implementation of PEP 246 allowing Python programmers to
-define Interfaces and adapters between them, thereby reducing or eliminating
+%global _description\
+PyProtocols is an implementation of PEP 246 allowing Python programmers to\
+define Interfaces and adapters between them, thereby reducing or eliminating\
 fragile 'isinstance' if type() comparisons.
 
+%description %_description
+
+%package -n python2-protocols
+Summary: %summary
+Requires: python-decoratortools
+%{?python_provide:%python_provide python2-protocols}
+
+%description -n python2-protocols %_description
+
 %prep
 %setup -q -n %{srcname}-%{filever}
 find . -name .cvsignore -delete
@@ -47,13 +55,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-protocols
 %defattr(-,root,root,-)
 %doc README.txt CHANGES.txt docs/*
 %{python_sitearch}/protocols/
 %{python_sitearch}/%{srcname}-%{eggver}%{alphatag}_%{revision}-py%{python_abi}.egg-info/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-0.27.a0dev_r2302
+- Python 2 subpackage renamed to python2-protocols
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.26.a0dev_r2302
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-PSI/python-PSI.spec python-PSI/python-PSI.spec.tmp
index 368c0f9106..3b1bd05454 100644
--- python-PSI/python-PSI.spec
+++ python-PSI/python-PSI.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-PSI
 Version:        0.3
-Release:        0.15.b2%{?dist}
+Release:        0.16.b2%{?dist}
 Summary:        Shows real time system information in python
 Group:          Development/Languages
 License:        MIT
@@ -13,10 +13,18 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel, python-setuptools
 
-%description
-psi is a Python module providing direct access to real-time system
+%global _description\
+psi is a Python module providing direct access to real-time system\
 and process information.
 
+%description %_description
+
+%package -n python2-psi
+Summary: %summary
+%{?python_provide:%python_provide python2-psi}
+
+%description -n python2-psi %_description
+
 %prep
 %setup -q -n PSI-%{version}b2
 
@@ -33,13 +41,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-psi
 %defattr(-,root,root,-)
 %doc README LICENSE TODO DESIGN examples
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-0.16.b2
+- Python 2 subpackage renamed to python2-psi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-0.15.b2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-psphere/python-psphere.spec python-psphere/python-psphere.spec.tmp
index e40cbc93b0..4323f176e0 100644
--- python-psphere/python-psphere.spec
+++ python-psphere/python-psphere.spec.tmp
@@ -1,7 +1,7 @@
 Summary: vSphere SDK for Python
 Name: python-psphere
 Version: 0.5.2
-Release: 8%{?dist}
+Release: 9%{?dist}
 Source0: %{name}-%{version}.tar.gz
 License: ASL 2.0
 Group: Development/Libraries
@@ -10,12 +10,20 @@ Prefix: %{_prefix}
 BuildArch: noarch
 Url: http://jkinred.bitbucket.org/psphere
 BuildRequires: python-setuptools
-Requires: python-suds
-Requires: PyYAML
 
-%description
+%global _description\
 This is a simple Python binding for elements of the vsphere SOAP-API
 
+%description %_description
+
+%package -n python2-psphere
+Summary: %summary
+Requires: PyYAML
+Requires: python-suds
+%{?python_provide:%python_provide python2-psphere}
+
+%description -n python2-psphere %_description
+
 %prep
 %setup -n %{name}-%{version} -n %{name}-%{version}
 
@@ -28,10 +36,14 @@ python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files -f INSTALLED_FILES
+%files -n python2-psphere -f INSTALLED_FILES
 %defattr(-,root,root)
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.2-9
+- Python 2 subpackage renamed to python2-psphere
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pthreading/python-pthreading.spec python-pthreading/python-pthreading.spec.tmp
index 871db07462..bc892c4fcd 100644
--- python-pthreading/python-pthreading.spec
+++ python-pthreading/python-pthreading.spec.tmp
@@ -3,7 +3,7 @@
 Summary:       Re-implement threading.Lock, RLock and Condition with libpthread
 Name:          python-pthreading
 Version:       0.1.3
-Release:       8%{?dist}
+Release:       9%{?dist}
 
 License:       GPLv2+
 Group:         System Environment/Libraries
@@ -17,13 +17,21 @@ BuildRequires: python2
 Patch0: python-pthreading-01-COPYING-and-tests.patch
 Patch1: 0003-Add-the-missing-locked-interface.patch
 
-%description
-The pthreading module provides Lock and Condition synchronization
-objects compatible with Python native threading module.
-The implementation, however, is based on POSIX thread library as delivered
-by the libpthread and has considerable performance benefits over Python 2.x's
+%global _description\
+The pthreading module provides Lock and Condition synchronization\
+objects compatible with Python native threading module.\
+The implementation, however, is based on POSIX thread library as delivered\
+by the libpthread and has considerable performance benefits over Python 2.x's\
 implementation.
 
+%description %_description
+
+%package -n python2-pthreading
+Summary: %summary
+%{?python_provide:%python_provide python2-pthreading}
+
+%description -n python2-pthreading %_description
+
 %prep
 %setup -q -n pthreading-%{version}
 %patch0
@@ -37,13 +45,17 @@ implementation.
 %check
 %{__python} setup.py test
 
-%files
+%files -n python2-pthreading
 %doc COPYING
 %{python_sitelib}/pthread.py*
 %{python_sitelib}/pthreading.py*
 %{python_sitelib}/pthreading-%{version}-py*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.3-9
+- Python 2 subpackage renamed to python2-pthreading
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pudb/python-pudb.spec python-pudb/python-pudb.spec.tmp
index 816a535127..13a9430f99 100644
--- python-pudb/python-pudb.spec
+++ python-pudb/python-pudb.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:          python-pudb
 Version:       2015.3
-Release:       7%{?dist}
+Release:       8%{?dist}
 Summary:       A full-screen, console-based Python debugger
 License:       MIT
 URL:           http://mathema.tician.de/software/pudb
@@ -16,18 +16,26 @@ Source0:       http://pypi.python.org/packages/source/p/%{upstream_name}/%{upstr
 BuildArch:     noarch
 BuildRequires: python2-devel
 BuildRequires: python-setuptools
-Requires:      python-urwid
-Requires:      python-pygments
-
-%description
-PuDB is a full-screen, console-based visual debugger for Python.
 
-Its goal is to provide all the niceties of modern GUI-based debuggers in a more
-lightweight and keyboard-friendly package. PuDB allows you to debug code right
-where you write and test it--in a terminal. If you've worked with the excellent
-(but nowadays ancient) DOS-based Turbo Pascal or C tools, PuDB's UI might look
+%global _description\
+PuDB is a full-screen, console-based visual debugger for Python.\
+\
+Its goal is to provide all the niceties of modern GUI-based debuggers in a more\
+lightweight and keyboard-friendly package. PuDB allows you to debug code right\
+where you write and test it--in a terminal. If you've worked with the excellent\
+(but nowadays ancient) DOS-based Turbo Pascal or C tools, PuDB's UI might look\
 familiar.
 
+%description %_description
+
+%package -n python2-%{upstream_name}
+Summary: %summary
+Requires:      python-pygments
+Requires:      python-urwid
+%{?python_provide:%python_provide python2-%{upstream_name}}
+
+%description -n python2-%{upstream_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{upstream_name}
 Summary:       A full-screen, console-based Python debugger
@@ -76,7 +84,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{upstream_name}
 %doc README.rst LICENSE
 %{python2_sitelib}/%{module_name}
 %{python2_sitelib}/%{module_name}*.egg-info
@@ -91,6 +99,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2015.3-8
+- Python 2 subpackage renamed to python2-pudb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2015.3-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyarabic/python-pyarabic.spec python-pyarabic/python-pyarabic.spec.tmp
index 81ccbdddc3..d1a8817094 100644
--- python-pyarabic/python-pyarabic.spec
+++ python-pyarabic/python-pyarabic.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:				python-pyarabic
 Version:			0.4
-Release:			8%{?dist}
+Release:			9%{?dist}
 Summary:			Arabic text tools for Python
 Summary(ar):		مكتبة بيثون للعربية
 Group:				Applications/Publishing
@@ -14,9 +14,17 @@ BuildArch:			noarch
 BuildRequires:		python2-devel
 BuildRequires:		python-setuptools
 
-%description
+%global _description\
 Arabic language text tools to be used by Python.
 
+%description %_description
+
+%package -n python2-pyarabic
+Summary: %summary
+%{?python_provide:%python_provide python2-pyarabic}
+
+%description -n python2-pyarabic %_description
+
 %description -l ar
 مجموعة من الأدوات النّصية للّغة العربية مُتاحة للاستخدام ببيئة بيثون.
 
@@ -31,11 +39,15 @@ sed -i 's:#!/usr/bin/python::g' pyarabic/araby.py
 %install
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-pyarabic
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{distname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-9
+- Python 2 subpackage renamed to python2-pyarabic
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyblock/python-pyblock.spec python-pyblock/python-pyblock.spec.tmp
index 6bdeb32684..d297da54f8 100644
--- python-pyblock/python-pyblock.spec
+++ python-pyblock/python-pyblock.spec.tmp
@@ -7,7 +7,7 @@
 Summary: Python modules for dealing with block devices
 Name: python-%{realname}
 Version: 0.53
-Release: 13%{?dist}
+Release: 14%{?dist}
 # We are upstream, to generate Source0 do:
 # git clone http://git.fedorahosted.org/git/pyblock.git
 # git checkout -b archive-branch pyblock-%{version}-%{release}
@@ -20,11 +20,19 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: python-devel, gettext
 BuildRequires: device-mapper-libs >= %{dmver}, device-mapper-devel >= %{dmver}
 BuildRequires: dmraid-devel >= %{dmrver}, libselinux-devel, libsepol-devel
-Requires: device-mapper-libs >= %{dmver}, pyparted
 
-%description
+%global _description\
 The pyblock contains Python modules for dealing with block devices.
 
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
+Requires: device-mapper-libs >= %{dmver}, pyparted
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
+
 %prep
 %setup -q -n %{realname}-%{version}
 sed -i -e 's|/usr/share/doc/pyblock-${VERSION}|%{_pkgdocdir}|' Makefile
@@ -39,12 +47,16 @@ make DESTDIR=${RPM_BUILD_ROOT} SITELIB=%{python_sitearch} install
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-%{realname}
 %defattr(-,root,root,-)
 %doc %{_pkgdocdir}
 %{python_sitearch}/block
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.53-14
+- Python 2 subpackage renamed to python2-pyblock
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.53-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pybloomfiltermmap/python-pybloomfiltermmap.spec python-pybloomfiltermmap/python-pybloomfiltermmap.spec.tmp
index 6883c3a814..0a43faf53f 100644
--- python-pybloomfiltermmap/python-pybloomfiltermmap.spec
+++ python-pybloomfiltermmap/python-pybloomfiltermmap.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-pybloomfiltermmap
 Version:        0.3.15
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        A Bloom filter (bloomfilter) for Python built on mmap
 
 License:        MIT
@@ -15,10 +15,18 @@ Source0:        http://pypi.python.org/packages/source/p/pybloomfiltermmap/pyblo
 
 BuildRequires:  python2-devel python-setuptools openssl-devel Cython
 
-%description
-The goal of pybloomfiltermmap is to provide a fast, simple, scalable,
+%global _description\
+The goal of pybloomfiltermmap is to provide a fast, simple, scalable,\
 correct library for Bloom Filters in Python.
 
+%description %_description
+
+%package -n python2-pybloomfiltermmap
+Summary: %summary
+%{?python_provide:%python_provide python2-pybloomfiltermmap}
+
+%description -n python2-pybloomfiltermmap %_description
+
 %prep
 %setup -q -n pybloomfiltermmap-%{version}
 
@@ -34,12 +42,16 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-pybloomfiltermmap
 %doc AUTHORS CHANGELOG LICENSE
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.15-6
+- Python 2 subpackage renamed to python2-pybloomfiltermmap
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pycallgraph/python-pycallgraph.spec python-pycallgraph/python-pycallgraph.spec.tmp
index 227471879a..3064dee2ec 100644
--- python-pycallgraph/python-pycallgraph.spec
+++ python-pycallgraph/python-pycallgraph.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:             python-pycallgraph
 Version:          0.5.1
-Release:          11%{?dist}
+Release:          12%{?dist}
 Summary:          A module that creates call graphs for Python programs
 
 Group:            Development/Languages
@@ -13,12 +13,19 @@ Source0:          http://pycallgraph.slowchop.com/files/download/%{modname}-%{ve
 BuildArch:        noarch
 BuildRequires:    python2-devel
 
+%global _description\
+Python Call Graph uses GraphViz to generate call graphs from one execution of\
+your Python code. It's very easy to use and can point out possible problems\
+with your code execution.
+
+%description %_description
+
+%package -n python2-pycallgraph
+Summary: %summary
 Requires:         graphviz
+%{?python_provide:%python_provide python2-pycallgraph}
 
-%description
-Python Call Graph uses GraphViz to generate call graphs from one execution of
-your Python code. It's very easy to use and can point out possible problems
-with your code execution.
+%description -n python2-pycallgraph %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -30,12 +37,16 @@ sed -i 1d pycallgraph.py
 %install
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-pycallgraph
 %doc COPYING
 %{_bindir}/pycallgraph
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-12
+- Python 2 subpackage renamed to python2-pycallgraph
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pycxx/python-pycxx.spec python-pycxx/python-pycxx.spec.tmp
index 52d44add9e..0934600def 100644
--- python-pycxx/python-pycxx.spec
+++ python-pycxx/python-pycxx.spec.tmp
@@ -17,7 +17,7 @@
 
 Name:           python-%{modname}
 Version:        6.2.8
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Write Python extensions in C++
 
 Group:          Development/Libraries
@@ -41,13 +41,21 @@ BuildRequires:  python3-devel
 %endif
 
 
-%description
-PyCXX is a set of classes to help create extensions of Python in the
-C++ language. The first part encapsulates the Python C API taking care
-of exceptions and ref counting. The second part supports the building
-of Python extension modules in C++.
+%global _description\
+PyCXX is a set of classes to help create extensions of Python in the\
+C++ language. The first part encapsulates the Python C API taking care\
+of exceptions and ref counting. The second part supports the building\
+of Python extension modules in C++.\
 
 
+%description %_description
+
+%package -n python2-%{modname}-devel
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modname}-devel}
+
+%description -n python2-%{modname}-devel %_description
+
 %package devel
 Summary:        PyCXX header and source files
 Group:          Development/Libraries
@@ -118,7 +126,7 @@ Cflags: -I\${includedir}
 EOF
 
 
-%files devel
+%files -n python2-%{modname}-devel
 %doc README.html COPYRIGHT Doc/Python2/ 
 %dir %{_includedir}/CXX
 %{_includedir}/CXX/*.hxx
@@ -154,6 +162,10 @@ test "$(pkg-config --modversion PyCXX)" = "%{version}"
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.2.8-6
+- Python 2 subpackage renamed to python2-pycxx
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.8-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pydns/python-pydns.spec python-pydns/python-pydns.spec.tmp
index 870ee6af9a..2ec7826e12 100644
--- python-pydns/python-pydns.spec
+++ python-pydns/python-pydns.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-pydns
 Version:        2.3.6
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Python module for DNS (Domain Name Service)
 
 Group:          Development/Languages
@@ -15,15 +15,23 @@ Patch0:         pydns_timeout.patch
 BuildArch:      noarch
 BuildRequires:  python2-devel
 
-%description
-This is a another release of the pydns code, as originally written by
-Guido van Rossum, and with a hopefully nicer API bolted over the
-top of it by Anthony Baxter <anthony@interlink.com.au>.
-
-This package contains a module (dnslib) that implements a DNS
-(Domain Name Server) client, plus additional modules that define some
+%global _description\
+This is a another release of the pydns code, as originally written by\
+Guido van Rossum, and with a hopefully nicer API bolted over the\
+top of it by Anthony Baxter <anthony@interlink.com.au>.\
+\
+This package contains a module (dnslib) that implements a DNS\
+(Domain Name Server) client, plus additional modules that define some\
 symbolic constants used by DNS (dnstype, dnsclass, dnsopcode).
 
+%description %_description
+
+%package -n python2-pydns
+Summary: %summary
+%{?python_provide:%python_provide python2-pydns}
+
+%description -n python2-pydns %_description
+
 %prep
 %setup -q -n %{namewithoutpythonprefix}-%{version}
 
@@ -49,7 +57,7 @@ rm -rf $RPM_BUILD_ROOT
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-pydns
 %defattr(-,root,root,-)
 %doc CREDITS.txt PKG-INFO README-guido.txt README.txt
 %dir %{python_sitelib}/DNS
@@ -57,6 +65,10 @@ rm -rf $RPM_BUILD_ROOT
 %{python_sitelib}/pydns-%{version}-py*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.6-9
+- Python 2 subpackage renamed to python2-pydns
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.6-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyeclib/python-pyeclib.spec python-pyeclib/python-pyeclib.spec.tmp
index 878c1e8eb8..a666bf5489 100644
--- python-pyeclib/python-pyeclib.spec
+++ python-pyeclib/python-pyeclib.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-pyeclib
 Version:        1.5.0
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Python interface to erasure codes
 
 License:        BSD
@@ -20,12 +20,19 @@ BuildRequires:  python3-devel
 BuildRequires:  python-setuptools
 BuildRequires:  liberasurecode-devel >= 1.5.0
 
+%global _description\
+This library provides a simple Python interface for implementing erasure\
+codes. A number of back-end implementations is supported either directly\
+or through the C interface liberasurecode.
+
+%description %_description
+
+%package -n python2-pyeclib
+Summary: %summary
 Requires:       liberasurecode >= 1.5.0
+%{?python_provide:%python_provide python2-pyeclib}
 
-%description
-This library provides a simple Python interface for implementing erasure
-codes. A number of back-end implementations is supported either directly
-or through the C interface liberasurecode.
+%description -n python2-pyeclib %_description
 
 %if 0%{?with_python3}
 %package -n python3-pyeclib
@@ -65,7 +72,7 @@ pushd %{py3dir}
 popd
 %endif
  
-%files
+%files -n python2-pyeclib
 %license License.txt
 %doc README.rst
 %{_libdir}/python2*/site-packages/*
@@ -82,6 +89,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.0-2
+- Python 2 subpackage renamed to python2-pyeclib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Pete Zaitcev <zaitcev@redhat.com> 1.5.0-1
 - Upstream 1.5.0, companion with liberasurecode 1.5.0
 
diff --git python-pygal/python-pygal.spec python-pygal/python-pygal.spec.tmp
index 09257be4fd..4af62d27ab 100644
--- python-pygal/python-pygal.spec
+++ python-pygal/python-pygal.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:               python-pygal
 Version:            2.3.1
-Release:            3%{?dist}
+Release:            4%{?dist}
 Summary:            A python svg graph plotting library
 
 Group:              Development/Libraries
@@ -40,10 +40,17 @@ BuildRequires:      python3-pytest
 BuildRequires:      python3-lxml
 %endif
 
+%global _description\
+A python svg graph plotting library.
+
+%description %_description
+
+%package -n python2-pygal
+Summary: %summary
 Requires:           python-lxml
+%{?python_provide:%python_provide python2-pygal}
 
-%description
-A python svg graph plotting library.
+%description -n python2-pygal %_description
 
 %if 0%{?with_python3}
 %package -n python3-pygal
@@ -103,7 +110,7 @@ popd
 
 %endif
 
-%files
+%files -n python2-pygal
 %doc README
 %if !0%{?with_python3}
 %{_bindir}/pygal_gen.py
@@ -122,6 +129,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.1-4
+- Python 2 subpackage renamed to python2-pygal
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
